FROM python:3.11-slim

ENV PYTHONUNBUFFERED=1 \
    FLASK_ENV=production \
    FLASK_APP=app.py

WORKDIR /app

COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

COPY src/ .


RUN mkdir -p /data
VOLUME ["/data"]

ENV DB_PATH=/data/queue.db

CMD ["gunicorn", "--bind", "0.0.0.0:5000", "app:app", "--workers", "3", "--worker-class", "gthread", "--threads", "4"]
